CREATE TABLE eec_contest_hdr (
    CONTEST_ID               NUMBER(18, 0) ,
    CONTEST_NAME             VARCHAR2(800) ,
    OBJECTIVE                VARCHAR2(4000),
    PARENT_CONTEST_ID        NUMBER        ,
    CONTEST_STAGE_ID         NUMBER        ,
    IMAGE                    BLOB          ,
    CONTEST_START_DATE       TIMESTAMP(6)  ,
    CONTEST_END_DATE         TIMESTAMP(6)  ,
    VOTING_START_DATE        TIMESTAMP(6)  ,
    VOTING_END_DATE          TIMESTAMP(6)  ,
    CONTEST_TYPE             VARCHAR2(120) ,
    PARTICIPANT_TYPE         VARCHAR2(120) ,
    UPDATE_OWNER             VARCHAR2(120) ,
    ALLOW_UPDATES_FLAG       VARCHAR2(4)   ,
    STATUS                   VARCHAR2(120) ,
    ENABLED_FLAG             VARCHAR2(4)   ,
    VISIBILITY               VARCHAR2(120) ,
    WIN_CRITERIA             VARCHAR2(120) ,
    AWARD_TYPE               VARCHAR2(120) ,
    TIE_WINNER               VARCHAR2(120) ,
    TEMPLATE_ID              NUMBER        ,
    INSTRUCTIONS             VARCHAR2(4000),
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONTEST_ID               NUMBER(18, 0) ,
    CONTEST_NAME             VARCHAR2(800) ,
    OBJECTIVE                VARCHAR2(4000),
    PARENT_CONTEST_ID        NUMBER        ,
    CONTEST_STAGE_ID         NUMBER        ,
    IMAGE                    BLOB          ,
    CONTEST_START_DATE       TIMESTAMP(6)  ,
    CONTEST_END_DATE         TIMESTAMP(6)  ,
    VOTING_START_DATE        TIMESTAMP(6)  ,
    VOTING_END_DATE          TIMESTAMP(6)  ,
    CONTEST_TYPE             VARCHAR2(120) ,
    PARTICIPANT_TYPE         VARCHAR2(120) ,
    UPDATE_OWNER             VARCHAR2(120) ,
    ALLOW_UPDATES_FLAG       VARCHAR2(4)   ,
    STATUS                   VARCHAR2(120) ,
    ENABLED_FLAG             VARCHAR2(4)   ,
    VISIBILITY               VARCHAR2(120) ,
    WIN_CRITERIA             VARCHAR2(120) ,
    AWARD_TYPE               VARCHAR2(120) ,
    TIE_WINNER               VARCHAR2(120) ,
    TEMPLATE_ID              NUMBER        ,
    INSTRUCTIONS             VARCHAR2(4000),
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_eec_contest_hdr PRIMARY KEY (CONTEST_ID, CONTEST_ID)
);
